Project

General

Profile

Bug #18846

hammer activation key content overrides needs to use updated api

Added by Partha Aji about 2 years ago. Updated 9 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Hammer
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Team Backlog:
Fixed in Releases:
Found in Releases:

Description

After => https://github.com/Katello/katello/pull/6656 goes in
content_override param is deprecated
We need to make hammer activation key content override to use the array version.


Related issues

Blocked by Katello - Feature #18774: Need API's to content overrides for AKClosed2017-03-02

Associated revisions

Revision 9f0a7b02 (diff)
Added by Partha Aji almost 2 years ago

fixes #18846 - params for content overrides (#489)

Also fixes 18860

Passes right params for activation key content overrides and content
host content overrides

The new API requires content_label and value as an array of hashes
under 'content_overrides' param

History

#1 Updated by Partha Aji about 2 years ago

  • Blocked by Feature #18774: Need API's to content overrides for AK added

#2 Updated by The Foreman Bot about 2 years ago

  • Status changed from New to Ready For Testing
  • Pull request https://github.com/Katello/hammer-cli-katello/pull/489 added

#3 Updated by Partha Aji about 2 years ago

  • Copied to Feature #18860: hammer host subscriptions content overrides needs to use updated api added

#4 Updated by Partha Aji about 2 years ago

  • Copied to deleted (Feature #18860: hammer host subscriptions content overrides needs to use updated api)

#5 Updated by Eric Helms about 2 years ago

  • Legacy Backlogs Release (now unused) set to 211

#6 Updated by Anonymous almost 2 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

Also available in: Atom PDF